﻿.comboTreeWrapper > * {
    cursor: pointer;
}

.table td.Detail {
    width:90%;
}

.table td.IconCol img {
    margin-left: auto;
    margin-right: auto;
    width: 27px;
    display: block;
}

.comboTreeDropDownContainer{
    z-index:10000;
}

#documents .comboTreeDropDownContainer ul {
    margin-left: 0;
}

.badge.legal-requirement {
    background-image: url(img/icon-legal.png);
    background-position: left center;
    background-repeat: no-repeat;
}

.badge.business-requirement {
    background-image: url(img/icon-business.png);
    background-position: left center;
    background-repeat: no-repeat;
}


.PrivacyOption {
    margin-right: 10px;
}

.DownloadButtonResults {
    display: none;
}

/* Download/Upload popup */

/*.DownloadLink, .DownloadButton {
    text-decoration: none;
    margin-top: 1em;
    margin-bottom: 1em;
    float: left;
    clear: none;
}

.DownloadLink {
    background-repeat: no-repeat;
    background-position: 3% 50%;
}*/

.DuplicatePopup, .UploadPopup, .GenericDownloadPopup, .AddPopup, .EditPopup, .AddPolicyPopup, .MultiChoicePopup {
    display: none;
    border-radius: 2px;
    padding: 1em;
    position: absolute;
    background-color: #FFF;
    width: 400px;
    z-index: 10000;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
}

.AddPopup .col, .UploadPopup .col {
    padding-left: 0;
    padding-right: 0;
}

.MultiChoicePopup {
    width: 150px;
    padding:1em;
}

.MultiChoicePopup a {
    width: 74%;
    margin-bottom: 0.5em;
    margin-left:auto;
    margin-right:auto;
}

.MultiChoicePopup a:last-child
{
    margin-bottom:0;
}

.GenericDownloadPopup .btn{
    float:right;
}

.DownloadButton img {
    vertical-align: text-bottom;
    margin-right: 0.2em;
}

.GenericDownloadPopup .DownloadLink:first-child, .GenericDownloadPopup .DownloadButton:first-child {
    margin-top: 0;
}

.Clear {
    clear: both;
}

/* custom form style */

.ResetButton {
    width: 25px;
    height: 25px;
    position: absolute;
    top: 7px;
    right: 10px;
    cursor: pointer;
    display: none;
}

.ResetContainer {
    position: relative;
}

.FormInput {
    width: calc(100% - 1.5em);
}

.checkbox input {
    margin: 0 0.25em 0 0;
    vertical-align: middle;
}

/* Taggle */

.TaggleHolder {
    overflow: hidden;
    border: 1px solid #A6A6A6;
    padding-left: 8px;
    display: block;
    background-color: #FFF;
}

.taggle_list {
    display: inline-block;
    line-height: 28px;
    height: auto;
    width: 15em;
    margin-left: 0.2em !important;
    padding-bottom: 0 !important;
    width: 100%;
}

.taggle_input {
    border: none !important;
    outline: none;
    background: none !important;
    color: #373737 !important;
    float: left;
    margin-top: -5px;
    max-width: 100%;
    width: 100%;
    line-height: 1.2;
}

#documents ul li.taggle {
    padding: 0.3em;
    margin-bottom: 0;
}

.ui-autocomplete {
    position: absolute;
    overflow-y: auto;
    overflow-x: hidden;
    width: 100%;
    z-index:1000;
}

input.ui-autocomplete-input {
    width: 100%;
}

.taggle_list li {
    float: left;
    display: inline-block;
    white-space: nowrap;
    font-weight: 500;
    margin-top: 5px;
    list-style-position: outside;
    list-style-image: none;
}

.taggle_list .taggle {
    margin-right: 8px;
    background: #E2E1DF;
    border-radius: 3px;
    line-height: 1.2;
    position: relative;
    cursor: pointer;
    transition: all .3s;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both;
    padding: 0.3em;
}

.taggle_list .taggle_hot {
    background: #cac8c4;
}

.taggle_list .taggle .close {
    font-size: 1.1rem;
    position: absolute;
    top: 3px;
    right: 3px;
    text-decoration: none;
    line-height: 0.5;
    color: #ccc;
    color: rgba(0, 0, 0, 0.2);
    padding-bottom: 4px;
    display: none;
    border: 0;
    background: none;
    cursor: pointer;
}

.taggle_list .taggle:hover {
    background: #ccc;
}

    .taggle_list .taggle:hover > .taggle_text {
        padding-right: 10px;
        transition: all .3s;
    }

    .taggle_list .taggle:hover > .close {
        display: block;
    }

.taggle_list .taggle .close:hover {
    color: #990033;
}

.taggle_placeholder {
    display: none;
    position: absolute;
    color: #CCC;
    top: 12px;
    left: 8px;
    transition: opacity, .25s;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.taggle_sizer {
    display: none
}

.RelatedInfoHeader.collapsed::before, .RelatedInfoHeader::before, .FiltersHeader::before, .FiltersHeader.collapsed::before {
    content: 'Hide filters';
}

.FiltersHeader.collapsed::before {
    content: 'Show filters';
}

.RelatedInfoHeader.collapsed::before {
    content: 'Show related information';
}

.RelatedInfoHeader::before {
    content: 'Hide related information';
}

.Template, .CentralTemplate {
    color: #54bca6;
    border: 2px solid #54bca6;
    background-color: #FFF;
    padding: 1em;
    padding-left: 2.3em;
    font-size: 1.1em;
    background-image: url(img/template_icon_user.png);
    background-repeat: no-repeat;
    background-position: 2% center;
}

.CentralTemplate {
    background-image: url(img/template_icon_central.png);
}

.PrivacyNotice {
    overflow-y: auto;
    height: 600px;
    margin-bottom: 1em;
    border: 1px solid grey;
    padding: 1em;
    color: initial !important;
    font-weight: initial !important;
    font-size: initial !important;
}

.CalendarButton{
    float:right;
    cursor:pointer;
}

.DataPicker{
    position:absolute;
    z-index:100000;
}

.DateTypeText {
    margin-top: 0.5em;
    float: left;
}

/* Loading */
.TableResults {
    position: relative;
    min-height: 210px;
}

.LoadingGif {
    position: absolute;
    top: 50%;
    left: 50%;
    margin: -100px 0px 0px -100px;
}

/* Hide Intercom */

#intercom-container{
    display:none;
}

.CopyButton {
    background-image: url('https://resources.esd.org.uk/images/icons/copyLink.32x32.png');
    width: 32px;
    height: 32px;
    background-size: contain;
    width: 24px;
    height: 24px;
    display: block;
    vertical-align: middle;
    margin-top:6px;
    margin-bottom:6px;
}